/* Variables */
:root {
  --color-black: #000000;
  --color-white: #ffffff;
  --color-grey: #404040;
  --color-light-grey: #D4D4D494;
  --color-light-grey-2: #686868;
  --color-violet: #ADA7FF;
  --color-violet-2: #9A93FF;
  --color-dark-violet: #302B3A;
}

*, *:before, *:after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 18px;
  color: var(--color-grey);
  background: var(--color-white);
  font-family: 'Lato', sans-serif;
}

body {
  height: 100vh;
}

/*Mobile style*/

.wrapper {
  padding-right: 16px;
  padding-left: 16px;
}

header {
  padding-top: 28px;
  padding-bottom: 28px;
  border-bottom: 1px solid var(--color-light-grey);
  display: flex;
  justify-content: space-between;
}

header img {
  height: 26px;
  cursor: pointer;
}

header nav {
  display: none;
}

header button {
  display: none;
}

main .banner {
  margin: 20px 0 36px 0;
}

.hero-title {
  font-size: 34px;
  font-weight: 700;
  color: var(--color-dark-violet);
}

.hero-title > span {
  color: var(--color-violet);
}

.hero-text {
  font-size: 12px;
}

.interaction {
  display: flex;
  margin-top: 36px;
  margin-bottom: 36px;
}

.interaction button {
  margin-right: 20px;
  width: 108px;
  height: 34px;
  background: var(--color-violet);
  border-radius: 999px;
  border: none;
  font-size: 12px;
  color: var(--color-white);
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.interaction button > img {
  width: 14px;
  height: 14px;
  margin-left: 10px;
}

.interaction .video-link {
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.interaction .video-link img {
  width: 34px;
  height: 34px;
  margin-right: 10px;
}

.interaction .video-link p {
  color: var(--color-violet);
  font-weight: 600;
  font-size: 12px;
}

.statistics {
  display: flex;
  justify-content: flex-start;
  margin-bottom: 60px;
}

.statistics .figures {
  margin-right: 5%;
}

.statistics .figures:last-child {
  margin-right: 0;
}

.statistics .figures > p {
  font-weight: 700;
  font-size: 30px;
  line-height: 38px;
  color: var(--color-dark-violet);
}

.statistics .figures > span {
  font-size: 12px;
  color: var(--color-light-grey-2);
}

.pets {
  height: 410px;
  position: relative;
}

.dog-print {
  position: absolute;
  width: 36px;
  height: 36px;
  z-index: -2;
}

.cat-print {
  position: absolute;
  width: 36px;
  height: 36px;
  bottom: 1rem;
  right: 0;
  z-index: -2;
}

.cat {
  position: absolute;
  width: 290px;
  height: 290px;
  bottom: -1.7rem;
  z-index: -1;
}

.dog {
  position: absolute;
  width: 146px;
  height: 210px;
  z-index: -1;
  top: 9px;
  right: 0;
}

.right-triangle {
  position: absolute;
  width: 210px;
  height: 220px;
  right: 0;
  top: 0;
  z-index: -2;
}

.left-triangle {
  position: absolute;
  width: 210px;
  height: 220px;
  bottom: 1rem;
  left: 0;
  z-index: -2;
}

/*Tablet and desktop styles*/
@media screen and (min-width: 769px) {

  .wrapper {
    padding-right: 10%;
    padding-left: 10%;
  }

  header {
    padding-top: 50px;
    padding-bottom: 52px;
    border-bottom: none;
  }

  header img {
    height: 50px;
    width: 56px;
  }

  header nav {
    display: flex;
  }

  header nav ul {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  nav ul li {
    list-style-type: none;
    margin-right: 15px;
  }

  nav ul li:last-child {
    margin-right: 0;
  }

  nav ul li a {
    text-decoration: none;
    color: var(--color-black);
    font-weight: 700;
  }

  .violet-color {
    color: var(--color-violet-2);
  }

  nav ul li a:hover {
    color: var(--color-violet-2);
  }

  header .menu-icon {
    display: none;
  }

  header button {
    width: 146px;
    height: 55px;
    background: var(--color-violet);
    border-radius: 999px;
    border: none;
    font-size: 18px;
    color: var(--color-white);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
  }

  main {
    display: flex;
    flex-direction: row;
  }

  .hero {
    position: relative;
  }

  main section {
    height: calc(100vh - 165px);
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .hero-title {
    font-size: 4rem;
    width: 40vw;
  }

  .hero-text {
    font-size: 18px;
    width: 40vw;
  }

  .interaction button {
    margin-right: 30px;
    width: 170px;
    height: 56px;
    font-size: 18px;
  }

  .interaction button > img {
    width: 18px;
    height: 20px;
  }

  .interaction .video-link img {
    width: 55px;
    height: 55px;
  }

  .interaction .video-link p {
    font-size: 18px;
  }

  .statistics {
    margin-bottom: 0;
    justify-content: flex-start;
  }

  .statistics .figures {
    margin-right: 10%;
  }

  .statistics .figures > p {
    font-size: 1.2rem;
  }

  .statistics .figures > span {
    font-size: 0.8rem;
  }

  .pets {
    position: absolute;
    width: 566px;
    height: calc(100vh - 30%);
    top: 0;
    right: 0;
  }

  .dog-print {
    width: 60px;
    height: 60px;
  }

  .cat-print {
    width: 60px;
    height: 60px;
    bottom: 1rem;
    right: 0;
  }

  .cat {
    width: 450px;
    height: 450px;
    bottom: -1.7rem;
  }

  .dog {
    width: 240px;
    height: 345px;
    top: 9px;
    right: 0;
  }

  .right-triangle {
    width: 345px;
    height: 360px;
    right: 0;
    top: 0;
  }

  .left-triangle {
    width: 345px;
    height: 360px;
    bottom: 1rem;
    left: 0;
  }
}
